Use pkg-config consistently.

Authored by alonbl on Jul 11 2017, 8:54 PM.

Description

Use pkg-config consistently.

* configure.ac: Invoke PKG_PROG_PKG_CONFIG. Consistently use
PKG_CHECK_MODULES for GTK+2.0, Gnome 3 and libsecret.
* gnome3/Makefile.am (AM_CPPFLAGS, LDADD): Adjust Gnome 3 flags.
* gtk+-2/Makefile.am (AM_CPPFLAGS, LDADD): Adjust Gtk+2.0 flags.
  • Proofread-by: Marcus Brinkmann <mb@g10code.com>
  • Signed-off-by: Alon Bar-Lev <alon.barlev@gmail.com>
  • GnuPG-bug-id: T2049